#include <iostream>
#include <fstream>
//	#include <cstring>
#include <unistd.h>
using namespace std;

int debug_level = 0;

int main( int argc, char *argv[] ) {
   char sopt[] = "v", c;
   while( -1 != ( c = getopt( argc, argv, sopt ) ) )
      switch( c ) {
         case 'v':
            debug_level++;
            break;
         default :
            cerr << "формат команды: допустимы только опции: -" << sopt << endl;
            return 1;
      }
   if( optind == argc ) {
       cerr << "формат: " << argv[ 0 ] << " <файлы кода...>" << endl;
       return 2;
   }
   string command( "./reglex -s " );
   if( debug_level ) 
      command += "-" + string( debug_level, 'v' ) + " ";
   for( int i = optind; i < argc; i++ )
      command += string( argv[ i ] ) + " ";
   FILE *pipe = popen( command.c_str(), "r" );
   if( !pipe ) {
      cerr << "не может быть запущен: "<< command << endl;
      return 3;
   }
   int n = 0;   
   cout << "получено от транслятора:" << endl;
   char buf[ 200 ];
   while( fgets( buf, sizeof( buf ), pipe ) )
      cout << ++n << ": " << buf;
   n = pclose( pipe );
   return WEXITSTATUS( n ); 
}
